
/*********************************************************************
*                                                                    *
*                       Software License Agreement                   *
*                                                                    *
*   The software supplied herewith by Microchip Technology           *
*   Incorporated (the "Company") for its PICmicro Microcontroller   *
*   is intended and supplied to you, the Companys customer, for use *
*   solely and exclusively on Microchip PICmicro Microcontroller     *
*   products. The software is owned by the Company and/or its        *
*   supplier, and is protected under applicable copyright laws. All  *
*   rights are reserved. Any use in violation of the foregoing       *
*   restrictions may subject the user to criminal sanctions under    *
*   applicable laws, as well as to civil liability for the breach of *
*   the terms and conditions of this license.                        *
*                                                                    *
*   THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION.  NO           *
*   WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING,    *
*   BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND    *
*   FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE     *
*   COMPANY SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL,  *
*   INCIDENTAL OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.  *
*                                                                    *
*********************************************************************/

/*********************************************************************
*                                                                    *
*   Filename:	    cnfig87x.h                                       *
*   Date:           06/09/2000                                       *
*   File Version:   1.00                                             *
*                                                                    *
*   Compiler:       Hi-Tech PIC C Compiler V7.85                     *
*                                                                    *
*********************************************************************/

/*****	CONFIGURATION BIT DEFINITIONS FOR PIC16F87X PICmicro  *****/


#define		CONBLANK	   0x3FFF

#define     CP_ALL		   0x0FCF
#define     CP_HALF        0x1FDF 
#define     CP_UPPER_256   0x2FEF
#define     CP_OFF         0x3FFF
#define     DEBUG_ON       0x37FF
#define     DEBUG_OFF      0x3FFF
#define     WRT_ENABLE_ON  0x3FFF
#define     WRT_ENABLE_OFF 0x3DFF
#define     CPD_ON         0x3EFF
#define     CPD_OFF        0x3FFF
#define     LVP_ON         0x3FFF
#define     LVP_OFF        0x3F7F
#define     BODEN_ON       0x3FFF
#define     BODEN_OFF      0x3FBF
#define     PWRTE_OFF      0x3FFF
#define     PWRTE_ON       0x3FF7
#define     WDT_ON         0x3FFF
#define     WDT_OFF        0x3FFB
#define     LP_OSC         0x3FFC
#define     XT_OSC         0x3FFD
#define     HS_OSC         0x3FFE
#define     RC_OSC         0x3FFF

